Name: xfig
Version: 3.2.4
Release: alt3

Summary: An X Window System tool for drawing basic vector graphics
Summary(ru_RU.KOI8-R):        X Window System

License: OpenSource
Group: Graphics

Source0: http://www.xfig.org/xfigdist/%name.%version.full.tar.bz2
Source1: xfig.xpm
Source2: xfig_menuentry
Source3: xfig-mini.xpm
Source4: xfig-large.xpm

Patch1: %name.3.2.4-alt1-makefile-imakefile.patch
Patch2: %name.3.2.4-alt1-config-Fig.ad.patch
Patch3: xfig-3.2.4-Xaw3d-1.5E-alt.patch
Patch4: xfig-3.2.4-mkstemp.diff
Patch5: xfig.3.2.4-buffer.patch
Patch6: xfig.3.2.4-cleanup.patch

Requires: transfig >= 3.2.4 urlview

# Automatically added by buildreq on Sat Apr 15 2006
BuildRequires: imake libjpeg-devel libpng-devel libXaw3d-devel libXaw-devel libXi-devel xorg-cf-files

%description
Xfig is an X Window System tool for creating basic vector graphics,
including bezier curves, lines, rulers and more.  The resulting
graphics can be saved, printed on PostScript printers or converted to
a variety of other formats (e.g., X11 bitmaps, Encapsulated
PostScript, LaTeX).

You should install xfig if you need a simple program to create vector
graphics.

%description -l ru_RU.KOI8-R
Xfig --         X Window
System,   , ,    . 
  ,   PostScript-  
   ,  X11 bitmap, Encapsulated PostScript,
LaTeX.

   xfig,      
 .

%prep
%setup -q -n %name.%version

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%__subst 's|^XFIGDOCDIR =.*|XFIGDOCDIR = %_defaultdocdir/%name-%version|' Imakefile
[ -L Doc/xfig.man ] && rm -rf Doc/xfig.man

%build
xmkmf
ln -nfs Doc/xfig.man xfig.man

%__subst "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
%__subst "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile

%ifarch alpha
find -name Makefile |xargs %__subst "s|-O2||g"
%endif

make

%install
make DESTDIR=$RPM_BUILD_ROOT XFIGDOCDIR=%_defaultdocdir/%name-%version install.all

# Menu Entry
mkdir -p $RPM_BUILD_ROOT%_menudir
install -m644 %SOURCE2 $RPM_BUILD_ROOT%_menudir/xfig

# some documentation
install -m644 FIGAPPS LATEX.AND.XFIG README Doc/FORMAT* $RPM_BUILD_ROOT/%_defaultdocdir/%name-%version


# (fg) 10000918 Icons
mkdir -p $RPM_BUILD_ROOT{%_miconsdir,%_liconsdir}
install -m644 %SOURCE1 $RPM_BUILD_ROOT/%_iconsdir
install -m644 %SOURCE3 $RPM_BUILD_ROOT/%_miconsdir/xfig.xpm
install -m644 %SOURCE4 $RPM_BUILD_ROOT/%_liconsdir/xfig.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_x11bindir/*
%_x11libdir/xfig/*
%_x11mandir/man?/*
%_sysconfdir/X11/app-defaults/*
%_menudir/xfig
%_iconsdir/xfig.xpm
%_miconsdir/xfig.xpm
%_liconsdir/xfig.xpm
%_defaultdocdir/*

%changelog
* Sat Apr 15 2006 Yury A. Zotov <yz@altlinux.ru> 3.2.4-alt3
- BuildRequires are updated
- patch for Xaw3d
- patches from RedHat: xfig-3.2.4-mkstemp.diff, 
  xfig.3.2.4-buffer.patch, xfig.3.2.4-cleanup.patch
- build with Xaw instead of Xaw3d

* Mon Oct 06 2003 Yury A. Zotov <yz@altlinux.ru> 3.2.4-alt2
- BuildRequires updated for Sisyphus 20031005
- build with hasher

* Tue Feb 25 2003 Yury A. Zotov <yz@altlinux.ru> 3.2.4-alt1
- new version

* Sun Jan 19 2003 Yury A. Zotov <yz@altlinux.ru> 3.2.3d-alt6
- files rearrangement
- Fig.ad patched for keybindings and canvas color (#ffffff)
- spec translated into russian
- maintainer changed

* Thu Dec 19 2002 Stanislav Ievlev <inger@altlinux.ru> 3.2.3d-alt5
- fixed bug with viewing doc

* Mon Oct 28 2002 Stanislav Ievlev <inger@altlinux.ru> 3.2.3d-alt4
- rebuild with gcc3

* Tue Feb 12 2002 Stanislav Ievlev <inger@altlinux.ru> 3.2.3d-alt3
- added documentation (bug #0000382).

* Thu Oct 11 2001 Stanislav Ievlev <inger@altlinux.ru> 3.2.3d-alt2
- rebuilt with new libmng
- added some patches (fixes) from RH

* Wed May 30 2001 Stanislav Ievlev <inger@altlinux.ru> 3.2.3d-alt1
- 3.2.3d

* Thu Dec 07 2000 AEN <aen@logic.ru>
- build for RE

* Mon Sep 18 2000 Francis Galiegue <fg@mandrakesoft.com> 3.2.3c-3mdk

- Large and normal icons, all icons moved to %_iconsdir
- Some spec file fixes

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.2.3c-2mdk
- automatically added BuildRequires

* Thu Aug 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.2.3c-1mdk
- new version
- rebuild with serial (thisreallysucks)

* Wed May 31 2000 Adam Lebsack <adam@mandrakesoft.com> 3.2.3_beta1-4mdk
- fixed group

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 3.2.3_beta1-3mdk
- Fix build for i486
- Use %%_tmppath for BuildRoot
- Clean up spec

* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 3.2.3_beta1-2mdk
- xfig needs transfig 3.2.3 (lebsack)

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 3.2.3_beta1-1mdk
- Mandrake adaptations
- Menu entry

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Fri Jan 14 2000 Preston Brown <pbrown@redhat.com>
- upgrade to beta1 of 2.2.3.  Hopefully this fixes outstanding issues.
- no need for vararg fix, commented out

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- add icon
- don't compile with optimization on alpha

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- converted to use a .desktop file

* Fri Mar 26 1999 Michael Maher <mike@redhat.com>
- added files that were missing.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 4)
- varargs fix

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- correct DESTDIRR typo (#962)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- updated to 3.2.2.

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- updated for manhattan
- buildroot

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version
- messed with config for 5.0
- updated Requires and Copyright
- added wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
